﻿using WpfApplication1;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;

using System.Collections.Generic;
using System.Linq;
using IdeaBlade.Core;
using IdeaBlade.EntityModel;
using DomainModel;

namespace Test {


  /// <summary>
  ///This is a test class for MainWindowViewModelTest and is intended
  ///to contain all MainWindowViewModelTest Unit Tests
  ///</summary>
  [TestClass()]
  public class MainWindowViewModelTest {


    private TestContext testContextInstance;

    /// <summary>
    ///Gets or sets the test context which provides
    ///information about and functionality for the current test run.
    ///</summary>
    public TestContext TestContext {
      get {
        return testContextInstance;
      }
      set {
        testContextInstance = value;
      }
    }

    #region Additional test attributes
    // 
    //You can use the following additional attributes as you write your tests:
    //
    //Use ClassInitialize to run code before running the first test in the class
    //[ClassInitialize()]
    //public static void MyClassInitialize(TestContext testContext)
    //{
    //}
    //
    //Use ClassCleanup to run code after all tests in a class have run
    //[ClassCleanup()]
    //public static void MyClassCleanup()
    //{
    //}
    //
    //Use TestInitialize to run code before running each test
    //[TestInitialize()]
    //public void MyTestInitialize()
    //{
    //}
    //
    //Use TestCleanup to run code after each test has run
    //[TestCleanup()]
    //public void MyTestCleanup()
    //{
    //}
    //
    #endregion


    /// <summary>
    ///A test for MainWindowViewModel Constructor
    ///</summary>
    [TestMethod()]
    public void MainWindowViewModelConstructorTest() {
      MainWindowViewModel target = new MainWindowViewModel();
      //Assert.Inconclusive("TODO: Implement code to verify target");
      Assert.IsTrue(target != null, "Unable to construct MainWindowViewModel");
    }

    /// <summary>
    ///A test for the Customer query used in MainWindowViewModel.FirstSample()
    ///</summary>
    [TestMethod()]
    public void CustomerQueryTest() {

        NorthwindIBEntityManager mgr = new NorthwindIBEntityManager();

      var customersQuery =
        from cust in mgr.Customers
        where cust.ContactTitle == "Sales Representative"
        orderby cust.CompanyName
        select cust;

      Assert.IsTrue(customersQuery.Count() > 0, "Customer query returned no Customers");
    }

  }
}
