﻿Imports Microsoft.VisualStudio.TestTools.UnitTesting

Imports WpfApplication1.WpfApplication1
Imports WpfApplication1
Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports IdeaBlade.Core
Imports IdeaBlade.EntityModel
Imports DomainModel


'''<summary>
'''This is a test class for MainWindowViewModelTest and is intended
'''to contain all MainWindowViewModelTest Unit Tests
'''</summary>
<TestClass()> _
Public Class MainWindowViewModelTest


    Private testContextInstance As TestContext

    '''<summary>
    '''Gets or sets the test context which provides
    '''information about and functionality for the current test run.
    '''</summary>
    Public Property TestContext() As TestContext
        Get
            Return testContextInstance
        End Get
        Set(ByVal value As TestContext)
            testContextInstance = Value
        End Set
    End Property

#Region "Additional test attributes"
    '
    'You can use the following additional attributes as you write your tests:
    '
    'Use ClassInitialize to run code before running the first test in the class
    '<ClassInitialize()>  _
    'Public Shared Sub MyClassInitialize(ByVal testContext As TestContext)
    'End Sub
    '
    'Use ClassCleanup to run code after all tests in a class have run
    '<ClassCleanup()>  _
    'Public Shared Sub MyClassCleanup()
    'End Sub
    '
    'Use TestInitialize to run code before running each test
    '<TestInitialize()>  _
    'Public Sub MyTestInitialize()
    'End Sub
    '
    'Use TestCleanup to run code after each test has run
    '<TestCleanup()>  _
    'Public Sub MyTestCleanup()
    'End Sub
    '
#End Region


    '''<summary>
    '''A test for MainWindowViewModel Constructor
    '''</summary>
    <TestMethod()> _
    Public Sub MainWindowViewModelConstructorTest()
        Dim target As MainWindowViewModel = New MainWindowViewModel()
        Assert.IsTrue(target IsNot Nothing, "Unable to construct MainWindowViewModel")
    End Sub

    ''' <summary> 
    '''A test for the Customer query used in MainWindowViewModel.FirstSample() 
    '''</summary> 

    <TestMethod()> _
    Public Sub CustomerQueryTest()

        Dim mgr As NorthwindIBEntityManager = New NorthwindIBEntityManager()
        Dim customersQuery = From cust In mgr.Customers _
         Where cust.ContactTitle = "Sales Representative" _
         Order By cust.CompanyName _
         Select cust

        Assert.IsTrue(customersQuery.Count() > 0, "Customer query returned no Customers")
    End Sub
End Class
